/*-----------------------------------------------------------------------------
  getsetting function.
  Copyright 2002, 2003 Berend-Jan Wever.
    <skylined@edup.tudelft.nl>
    http://spoor12.edup.tudelft.nl

  This function is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License version 2, 1991 as
  published by the Free Software Foundation.

  This function is distributed in the hope that it will be useful, but WITHOUT
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
  FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
  details.

  A copy of the GNU General Public License can be found at:
    http://www.gnu.org/licenses/gpl.html
  or you can write to:
    Free Software Foundation, Inc.
    59 Temple Place - Suite 330
    Boston, MA  02111-1307
    USA.

------------------------------------------------------------------------------*/
#include "getsetting.h"

char* getsetting(char* haystack, char* needle) {
  char* result = NULL;
  char* startsetting = NULL;
  int i = 0;

  result = (char *)malloc(MAX_GETSETTING_SIZE);
  startsetting = strstr(haystack, needle);

  if (startsetting == NULL) return startsetting;
  startsetting += strlen(needle);

  while (i<MAX_GETSETTING_SIZE-1 &&
         *(startsetting+i) != '\n' &&
         *(startsetting+i) != '\r' &&
         *(startsetting+i) != '\0') {
    *(result+i) = *(startsetting+i);
    i++;
  }
  *(result+i) = '\0';
  return result;
}
